config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/appstream.conf.new
( cd usr/lib64 ; rm -rf libAppStreamQt.so )
( cd usr/lib64 ; ln -sf libAppStreamQt.so.2 libAppStreamQt.so )
( cd usr/lib64 ; rm -rf libAppStreamQt.so.2 )
( cd usr/lib64 ; ln -sf libAppStreamQt.so.0.16.3 libAppStreamQt.so.2 )
( cd usr/lib64 ; rm -rf libappstream-compose.so )
( cd usr/lib64 ; ln -sf libappstream-compose.so.0 libappstream-compose.so )
( cd usr/lib64 ; rm -rf libappstream-compose.so.0 )
( cd usr/lib64 ; ln -sf libappstream-compose.so.0.16.3 libappstream-compose.so.0 )
( cd usr/lib64 ; rm -rf libappstream.so )
( cd usr/lib64 ; ln -sf libappstream.so.4 libappstream.so )
( cd usr/lib64 ; rm -rf libappstream.so.4 )
( cd usr/lib64 ; ln -sf libappstream.so.0.16.3 libappstream.so.4 )
